Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.queue
Class RemoteQueue

    java.lang.Object
      org.jboss.messaging.core.distributed.RemotePeer
          org.jboss.messaging.core.distributed.queue.RemoteQueue

All Implemented Interfaces:
  Receiver

public class RemoteQueue
extends RemotePeer
implements Receiver

A representative of a distributed queue peer.

Version:
  `$Revision: 1.3 $` $Id: RemoteQueue.java,v 1.3 2005/12/22 20:40:12 timfox Exp $
Author:
  Ovidiu Feodorov

Field Summary
`protected DistributedPipe` | `p`

Fields inherited from class org.jboss.messaging.core.distributed.RemotePeer
`remotePeerIdentity`

Constructor Summary
`RemoteQueue(PeerIdentity remotePeerIdentity, DistributedPipe p)`

Method Summary
`Delivery` | `handle(DeliveryObserver observer, Routable routable, Transaction tx)` A receiver can return an active, "done" or null delivery.
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.messaging.core.distributed.RemotePeer
`getPeerIdentity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### p

    protected DistributedPipe p

Constructor Detail

### RemoteQueue

    public RemoteQueue(PeerIdentity remotePeerIdentity,
                       DistributedPipe p)

Method Detail

### handle

    public Delivery handle(DeliveryObserver observer,
                           Routable routable,
                           Transaction tx)

  Description copied from interface: `Receiver`
  A receiver can return an active, "done" or null delivery. The method returns null in case the receiver doesn't accept the message. The return value is unspecified when the message is submitted in the context of a transaction (tx not null).

  Specified by:
    `handle` in interface `Receiver`
  Parameters:
    `observer` - - the component the delivery should be acknowledged to.
  See Also:
    `Delivery`, `DeliveryObserver`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RemotePeer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.